
Redmine - Defect #172

Table of content display error

2008-01-02 18:52 - Praphan Theeravanvilai

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

{{toc}} does not display as the yellow box but display as the single line of link.

I attached the wiki and html files in html.zip.

I used firefox save page complete mode to save the css and javascript.

Configuration of my system.

- windows as the server

- ruby 1.8.6

- rails 1.2.6

- redmine v0.6.3

- mongrel 1.1.3

- mongrel service 0.3.3

- redcloth 3.0.4

- coderay 0.7.4.215

I also found that code section display correct format but no color.

History

#1 - 2008-01-03 13:16 - Jean-Philippe Lang

The css looks fine but not the html.

A div with 'wiki' class is missing. This div is added in this

view:

http://www.redmine.org/repositories/entry/redmine/trunk/app/views

/wiki/_content.rhtml

Is it a fresh 0.6.3 install or an upgrade ?

#2 - 2008-01-03 19:35 - Praphan Theeravanvilai

It is a fresh 0.6.3 install

#3 - 2008-01-03 19:39 - Praphan Theeravanvilai

I check with my redmine directory,

D:\redmine\app\views\wiki\_content.rhtml, had the same

content with the trunk

#4 - 2008-01-04 07:39 - Jean-Philippe Lang

OK, i thought it was on a wiki page but it's on a document

description. Toc is not displayed properly on that view, I'll

fix it.

#5 - 2008-01-04 12:56 - Jean-Philippe Lang

Fix committed in trunk in r1035.

I'll port it to the 0.6 stable branch this week-end.

#6 - 2008-01-04 19:46 - Praphan Theeravanvilai

I download r1039 from trunk, it works now.

Khob Khun Krub (Thanks you in Thai)

Praphan Theeravanvilai
http://www.redmine.org/repositories/entry/redmine/trunk/app/views
https://www.redmine.org/projects/redmine/repository/svn/revisions/1035
https://www.redmine.org/projects/redmine/repository/svn/revisions/1039


#7 - 2008-06-03 21:18 - Guest Test

- Status changed from Closed to Reopened

Im having problems with the Table of Contents element in the wiki...

{{toc}} does not display as the yellow box. It just displays as {{toc}}

i.e. {{toc}}1. Support Tickets handling using RT.

I have the following setup:

Rails 2.0.2

ruby 1.8.6

redmine-0.7.1

Please advice,

Luis

#8 - 2008-06-15 12:22 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Please attach the exact original text where the toc is not rendered so I can reproduce this problem.

Files

html.zip 48.7 KB 2008-02-03 Praphan Theeravanvilai
